Summary: Data Management API runtime environment.
Name: dmapi
Version: 2.2.0
Release: 1m
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: ftp://oss.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
Patch: dmapi-libtool.patch
# Copyright: Copyright (C) 2000 Silicon Graphics, Inc.
License: GPL
URL: http://oss.sgi.com/projects/xfs/
Group: System Environment/Base
NoSource: 0
BuildPreReq: xfsprogs-devel >= 2.0.0

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Managment
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package devel
Summary: Data Management API static libraries and headers.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

# If .census exists, then no setup is necessary, just go and do the build,
# otherwise run setup
%prep
%setup -q
%patch -p1

%build
touch .census
%configure
/usr/bin/make

%install
DIST_ROOT="%{buildroot}"
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV
/usr/bin/make install DIST_MANIFEST="$DIST_INSTALL"
/usr/bin/make install-dev DIST_MANIFEST="$DIST_INSTALL_DEV"

# remove
rm -rf %{buildroot}%{_docdir}/dmapi

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc doc/*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_mandir}/man3/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libexecdir}/*.a
%{_libexecdir}/*.la
%{_libexecdir}/*.so
%{_includedir}/xfs/*

%changelog
* Sun May 16 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.2.0-1m)
- verup

* Wed Mar 17 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.0-2m)
- revised spec for enabling rpm 4.2.

* Wed Dec  3 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (2.1.0-1m)
- update to 2.1.0

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.0.8-1m)
- update to 2.0.8

* Wed Oct  1 2003 zunda <zunda at freeshell.org>
- (2.0.5-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Tue Sep  3 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.0.5-1m)
  update to 2.0.5

* Wed Jul  3 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.2-4m)
- devel packages requires '%{name} = %{version}-%{release}'

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (2.0.2-4k)
- omit /sbin/ldconfig in PreReq.

* Sun Apr 28 2002 TABUCHI Takaaki <tab@kondara.org>
- (2.0.2-2k)
- update to 2.0.2

* Sun Mar 17 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.0.0-2k)
- update to 2.0.0

* Thu Nov  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.2-4k)
- modify source URL

* Fri Sep 28 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.2-2k)
- First Kondarization 
